OPSS - Webcenter OPSS Upgrade Fails with LDAP: error code 17 - Attribute attributetypes is not supported in schema error - OPSSUPG-05503 (Doc ID 2287690.1)

Last updated on AUGUST 16, 2017

Applies to:

Oracle Platform Security for Java - Version 12.2.1.2.0 and later
Information in this document applies to any platform.

Symptoms

Getting the error while upgrading OPSS


[2017-06-30T17:02:55.285-04:00] [OPSS] [INCIDENT_ERROR] [OPSSUPG-05503] [upgrade.OPSS.OPSS_SCHEMA_PLUGIN] [tid: 121] [ecid: 7ded07d0-1410-4b41-8503-82ca8f52c968-00000002,0] Oracle Platform Security Services upgrade error. Check the exception for more details
[2017-06-30T17:02:55.285-04:00] [OPSS] [INCIDENT_ERROR] [] [upgrade.OPSS.OPSS_SCHEMA_PLUGIN] [tid: 121] [ecid: 7ded07d0-1410-4b41-8503-82ca8f52c968-00000002,0] Cause: An unexpected error occurred during Oracle Platform Security Services schema upgrade.
[2017-06-30T17:02:55.285-04:00] [OPSS] [INCIDENT_ERROR] [] [upgrade.OPSS.OPSS_SCHEMA_PLUGIN] [tid: 121] [ecid: 7ded07d0-1410-4b41-8503-82ca8f52c968-00000002,0] Action: Check the error messages in Oracle Platform Security Services component and Upgrade Assistant framework log files. Correct the problem before running the Assistant again. Contact Oracle Support Services if you are unable to correct the problem.
[2017-06-30T17:02:55.285-04:00] [OPSS] [INCIDENT_ERROR] [] [upgrade.OPSS.OPSS_SCHEMA_PLUGIN] [tid: 121] [ecid: 7ded07d0-1410-4b41-8503-82ca8f52c968-00000002,0] [[
oracle.security.jps.JpsException: Error Modifying JPS Schema, Record: dn: cn=subschemasubentry
changetype: modify
add: attributetypes
attributetypes: ( 2.16.840.1.113894.1007.200.1.48 NAME 'orclOESApplicableData
baseResources' DESC 'Applicable Database Resources' EQUALITY caseIgnoreMatch
SYNTAX '1.3.6.1.4.1.1466.115.121.1.15' USAGE userApplications )
-
: [LDAP: error code 17 - Attribute attributetypes is not supported in schema.]:cn=subschemasubentry
at oracle.security.jps.internal.common.ldap.util.JpsLdapBootstrapImpl.createJpsBootstrap(JpsLdapBootstrapImpl.java:470)
at oracle.security.jps.internal.common.ldap.util.JpsLdapBootstrapImpl.createJpsBootstrapInLdapStore(JpsLdapBootstrapImpl.java:296)
at oracle.security.jps.upgrade.tools.LdapPolicyStoreUpgrade.upgradeSchema(LdapPolicyStoreUpgrade.java:122)
at oracle.security.jps.upgrade.tools



Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms